Alerts
List alert incidents, newest first
GET /v1/alert-incidents · SDK listAlertIncidents · CLI deployments monitor incidents
GET
Requires monitors:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 50environmentId?stringOnly monitors or incidents of this environment.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListAlertIncidentsResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/alert-incidents" \ -H "x-deployments-organization: string"{ "items": [ { "environmentId": "string", "id": "string", "kind": "run-failures", "monitorId": "string", "monitorName": "string", "openedAt": "2019-08-24T14:15:22Z", "organizationId": "string", "projectId": "string", "resolution": "condition-cleared", "resolvedAt": "2019-08-24T14:15:22Z", "status": "firing", "summary": "string", "timeline": [ { "at": "2019-08-24T14:15:22Z", "notified": true, "summary": "string", "type": "fired", "value": 0 } ] } ], "nextCursor": "string"}